Subject: Re: bug#3303: delete-frame raises old (invisible) frame

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 18 May 2009 17:19:04 +0900

>>>>> On Sun, 17 May 2009 23:33:00 -0400, Stefan Monnier <[email-masked]> said:

>> There is no behavior built into the NS window manager to  choose another
>> application window to be active after the active one  has been removed --
>> this is left to application code.

> [ So, nothing gets focus?  Keyboard events are just dropped on the floor
>   in such a case?  Sounds odd: it should be easy for Apple to provide
>   a sensible default behavior without any negative impact.  ]

I'm not sure about GNUstep, but at least Cocoa AppKit does what you
expect if the main (or possibly some) event loop is running.
Actually, the Carbon+AppKit port doesn't do anything special in
do_switch_frame.

				     YAMAMOTO Mitsuharu
				[email-masked]